WG14 Part 11 Issues - CIM Issues #5241

Document type
01/13/2022 06:39 AM - Herbert Falk

Status: Review

Priority: High

Target version:

Author/Contact Info:  Jim Hosrtman / Standard(s):

jim.horstman@strateture.com

Base Release: CIM 101 Version:

Solution to be CIM 101 Clause:

Applied To:

Solution Version: Sub-Clause:

Solution Applied By: Paragraph:

Completion Date: Table:

CIM Keywords: 61968-Common Originally Closed in
Version:

Breaking Change: Yes Origination Date:

Breaking Change The 'type' attribute is removed from the | Origination ID:

Description: Document class

CIM Impacted WG14, WG16 Originally Assigned

Groups: To:

Requestor: Jim Horstman

Description

Part 6 requires standard definitions (e.g. map, procedure, drawing) for the type of document (6)

Proposed Solution

Deprecate type and add documentKind attribute with standard enumerations

History

#1 - 10/17/2023 02:11 AM - Henry Dotson

- Project changed from WG14 Issues to WG14 Part 11 Issues

- Status changed from New to Open

- Author/Contact Info set to Jim Hosrtman / jim.horstman@strateture.com
- Base Release set to CIM 101

- Solution to be Applied To set to CIM 101

- Breaking Change changed from No to Yes

- Breaking Change Description set to The 'type’ attribute is removed from the Document class
- CIM Keywords 61968-Common added

- CIM Impacted Groups WG14, WG16 added

- CIM Impacted Groups deleted (WG13)

#2 - 10/17/2023 02:11 AM - Henry Dotson

- Status changed from Open to Review
